# RegulatedForm Class Reference
[Data validation layer, Classes implemented in PHP's extension.]

Rules support for final Form. More...

Inheritance diagram for RegulatedForm:
[legend]

List of all members.

## Public Member Functions

| addRule ($name, LogicalObject $rule)
| dropRuleByName ($name)
| ruleExists ($name)
| checkRules ()

## Protected Attributes

| $rules = array()
| $violated = array()

## Detailed Description

Rules support for final Form.

Definition at line 18 of file RegulatedForm.class.php.

## Member Function Documentation

RegulatedForm::addRule | ( | $ | name,
|  | LogicalObject $ | rule |
| ) |  |  |

Exceptions:

  | WrongArgumentException |

Returns:
  Form

Definition at line 27 of file RegulatedForm.class.php.

References Assert::isString().

Here is the call graph for this function:

RegulatedForm::checkRules | ( |  | ) |

Returns:
  Form

Definition at line 60 of file RegulatedForm.class.php.

References Form::WRONG.

RegulatedForm::dropRuleByName | ( | $ | name | ) |

Exceptions:

  | MissingElementException |

Returns:
  Form

Definition at line 40 of file RegulatedForm.class.php.

RegulatedForm::ruleExists | ( | $ | name | ) |

Definition at line 52 of file RegulatedForm.class.php.

## Member Data Documentation

RegulatedForm::$rules = array()`[protected]`

Definition at line 20 of file RegulatedForm.class.php.

RegulatedForm::$violated = array()`[protected]`

Definition at line 21 of file RegulatedForm.class.php.

The documentation for this class was generated from the following file:

- core/Form/RegulatedForm.class.php